Subject: Re: [bug#42180] [PATCH v2 02/23] guix: Add importer for hex.pm.

From: Hartmut Goebel <[email-masked]>
Date: Wed, 6 Oct 2021 22:23:32 +0200

Am 06.10.21 um 21:37 schrieb Maxime Devos:
>> +  (make-parameter"https://repo.hex.pm"))
>> +(define hexpm-url
>> +  (string-append (%hexpm-repo-url) "/tarballs/"))
> Where did you find this URL?  I took a look athttps://hex.pm  to download
> the source code of an Erlang package, but I'm not finding any download links
> for source code, for, say,<https://hex.pm/packages/idna>.  Only diffs and
> ‘previews’.

The hex.pm api is, well, not quite good documented. This URL I found at 
<https://github.com/hexpm/specifications/blob/master/endpoints.md>. I'll 
add a respective comment.

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          [email-masked]                |
|www.crazy-compilers.com  | compilers which you thought are impossible |